Subject: [dhcwg] stateless DHCP question

From: "Kevin Purser" <[email-masked]>
Date: Thu, 1 Sep 2005 15:45:08 -0400

Hey folks,

Quick question about stateless DHCPv6 that I couldn't seem to find in the
drafts or mailing list:

Section 5.1 of RFC 3736 states that the messages required for stateless DHCP
are the Information-request and Reply messages.  However, does the client
first need to solicit a particular server with the Solicit message, or can
it simply send the Information-request to the
ALL_DHCP_Relay_Agents_and_Servers multicast address and accept the config
returned by any server?  Or is this up to the implementer?

Thanks in advance!
Kev

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Thu, 14 Sep 2000 11:23:09 +0900

>>>>> On Thu, 1 Sep 2005 15:45:08 -0400, 
>>>>> "Kevin Purser" <[email-masked]> said:

> returned by any server?  Or is this up to the implementer?

The client can simply send the Information-request (rather, it
probably *should* do so instead of sending Solicit first, because if
the server only supports the RFC3736 subset of RFC3315 (i.e.,
stateless DHCPv6), it may ignore the Solicit message, causing
unnecessary delay or even failure of expected exchanges).

One may think this is not very clear from the specification, but, I
personally think Section 18.1.5 of RFC3315 (in the context of the
entire RFC) is clear enough on this.

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]